Editace materiálu
PUT
https://app.mwork365.com/main/publicapi/material/{id}PUT
https://app.mwork365.com/main/publicapi/material/externalId/{externalId}Parametry
Sekce “Parametry”idstring(GUID)povinnéID položky materiálu
nebo
externalIdstringpovinnéExterní ID materiálu
Tělo požadavku
Sekce “Tělo požadavku”namestringpovinnéNázev položky materiálu
categoryIdstring/string(GUID)povinnéID nebo Slug kategorie materiálu (MaterialCategory)
supplierIdstring/string(GUID)povinnéID nebo Slug dodavatele materiálu (MaterialSupplier)
identificationNumberstringKód
descriptionstringPopis
supplierCodestringKód dodavatele
unitMaterialUnitJednotka materiálu (MaterialUnit)
Výchozí hodnota: Amounts
pricedecimalProdejní cena materiálu (bez DPH)
Výchozí hodnota: 0
costPricedecimalNákladová cena materiálu (bez DPH)
Odpověď
Sekce “Odpověď”204 No ContentMateriál byl úspěšně upraven
400, 401, atd.Více informací na stránce standardní chybové stavy.
Příklad
Sekce “Příklad”curl --location --request PUT 'https://app.mwork365.com/main/publicapi/material/3d6ecf6b-6755-44f1-a7ff-93982ec7bb1b' \--header 'Authorization: Bearer eyJhb...WlUw' \--header 'Content-Type: application/json' \--data-raw '{ "name": "Test", "identificationNumber": "1234321", "categoryId": "ML_ND", "supplierId": "fdf9f792-7657-4abe-8385-171efc7a6017"}'